moDraw.fieldsinfo = {};

function moDraw.fieldsinfo:setOpenPdaSlot(self, slot, slotName)
	if moFields == nil or moFields[1] == nil then
		moGuiExtras:closeOpenSlot(self, slot);
		g_currentMission:showBlinkingWarning(tostring(moLanguageXml:getTxt("slotno")), 2500);
		return;
	end;
	--if moGuiMiniPdaSlots.fieldsInfo.textSwitch == 0 or moGuiMiniPdaSlots.fieldsInfo.iconSwitch == 0 then
		moDraw.fieldsinfo:setOpenDisplaySwitch_0_Design(self, slot, slotName);
	--end;
	--if not moGuiMiniPdaSlots.fieldsInfo.iconDesign then
	--	moDraw.fieldsinfo:setOpenTextDesign(self, slot, slotName);		
	--else
	--	moDraw.fieldsinfo:setOpenIconDesign(self, slot, slotName);
	--end;
end;

function moDraw.fieldsinfo:setOpenIconDesign(self, slot, slotName)	
	moGuiExtras:setSlotMaxProSwitch(self, slot);
	moGuiExtras:setSlotFirstEndObjects(self, slot);
	local firstObjectDisplay, endObjectDisplay = moGuiMiniPdaSlots.values[slot].firstObject, moGuiMiniPdaSlots.values[slot].endObject;
	local tempObjectDisplay = 0;
	----
	local iconSwitch = moGuiMiniPdaSlots.fieldsInfo.iconSwitch;	
	local posX = moGuiMiniPdaSlots.values[slot].openX+0.001;
	local posY = moGuiMiniPdaSlots.values[slot].openY;
	local size = moGuiMiniPdaSlots.values[slot].size;
	local distanceLine = moGuiMiniPdaSlots.values[slot].distanceLine;
	local widthSettings = moSetGetGui.buttonGfxWidth1*moSetGetGui.zoomOutInTemp*4;
	local widthUnderSettings = moSetGetGui.buttonGfxWidth1*moSetGetGui.zoomOutInTemp*4.5;
	local heightUnderSettings = moSetGetGui.buttonGfxHeight1*moSetGetGui.zoomOutInTemp*5;
	local heightSettings = moSetGetGui.buttonGfxHeight1*moSetGetGui.zoomOutInTemp*4;	
	local height = moSetGetGui.buttonGfxHeight1*(size*1000);
	local heightDefault = moSetGetGui.buttonGfxHeight1*(size*1000);
	local distanceDif = moGuiMiniPdaSlots.values[slot].distanceDif; --fillcontainer <----> filllevel
	local slotLength = moSetGetGui.buttonGfxWidth1*(size*1000/1.5)*(moGuiMiniPdaSlots.values[slot].length+moSetGetGui.screenAspectRatio);	
	local width = slotLength+distanceDif;	
	local widthNext = 0;
	local currentPosY = posY;
	local zoomOutIn = moGuiMiniPdaSlots.fieldsInfo.zoomOutInIcons;
	function nextLine(setHeight, posYnew, setLine, posYline, widthLine, heightLine, onlyLine)
		if setLine then
			moSetGetGui:setOverlay(self, moSetGetGui["designLine"], posX-0.001, currentPosY-(posYline), widthLine, heightLine);
			moSetGetGui["designLine"]:render();
			if onlyLine then return;end;
		end;		
		if setHeight then height = height+(heightDefault)+posYnew;end; --height+size+posNew;
		currentPosY = currentPosY-(heightDefault)-posYnew; --posY-(size+posYnew);		
	end;	
	moSetGetGui["designGround".. slot]:render();
	setTextBold(true);	
	setTextColor(unpack(moGuiMiniPdaSlots.siloColor));
	local sizeTemp = 0.010;
	if size < sizeTemp then sizeTemp = size;end;
	if moGuiMiniPdaSlots.keySwitchLast == slot then
		if not moGuiMiniPdaSlots.values[slot].settings then
			moSetGetGui["slotCfg"]:setPosition(posX, posY);
			moSetGetGui["slotCfg"]:render();
		else
			moSetGetGui["slotPos"]:setPosition(posX, posY);
			moSetGetGui["slotPos"]:render();
		end;		
		moSetGetGui["slotDisplay"]:setPosition(posX+(widthSettings*1), posY);
		moSetGetGui["slotDisplay"]:render();		
		renderText(posX+(widthSettings*1.3), posY+0.0035, sizeTemp, tostring(iconSwitch));
		moSetGetGui["slotIconDesign"]:setPosition(posX+(widthSettings*2), posY);
		moSetGetGui["slotIconDesign"]:render();		
		if not moGuiMiniPdaSlots.fieldsInfo.iconDesign then
			moSetGetGui["slotNotOkay"]:setPosition(posX+(widthSettings*2), posY);
			moSetGetGui["slotNotOkay"]:render();
		end;
		moSetGetGui["slotPlus"]:setPosition(posX+(widthSettings*3), posY);
		moSetGetGui["slotPlus"]:render();		
		if moGuiMiniPdaSlots.values[slot].seeSmall then
			moSetGetGui["slotNotOkay"]:setPosition(posX+(widthSettings*3), posY);
			moSetGetGui["slotNotOkay"]:render();
		end;
		moSetGetGui["slotSwitchL"]:setPosition(posX+(widthSettings*4), posY);
		moSetGetGui["slotSwitchL"]:render();
		renderText(posX+(widthSettings*4.7), posY+0.0035, sizeTemp, tostring(moGuiMiniPdaSlots.values[slot].switch));
		moSetGetGui["slotSwitchR"]:setPosition(posX+(widthSettings*5), posY);
		moSetGetGui["slotSwitchR"]:render();
		moSetGetGui["slotNextL"]:setPosition(posX+(widthSettings*6), posY);
		moSetGetGui["slotNextL"]:render();
		moSetGetGui["slotNextR"]:setPosition(posX+(widthSettings*8), posY);
		moSetGetGui["slotNextR"]:render();
		renderText(posX+(widthSettings*7.05), posY+0.0035, sizeTemp, tostring(moGuiMiniPdaSlots.values[slot].maxProSwitch));
		nextLine(true, 0.005, false);
		local posTxt = "";
		moSetGetGui["slotField"]:setPosition(posX, posY-(heightSettings));
		moSetGetGui["slotField"]:render();
		if moGuiMiniPdaSlots.fieldsInfo.seeFields == 0 then posTxt = "A";
		elseif moGuiMiniPdaSlots.fieldsInfo.seeFields == 1 then posTxt = "B";
		else posTxt = "S";end;
		renderText(posX+0.3, posY+0.0035, sizeTemp, tostring(posTxt));
		moSetGetGui["slotUpdate"]:setPosition(posX+(widthSettings*1), posY-(heightSettings));
		moSetGetGui["slotUpdate"]:render();
		--renderText(posX+(widthSettings*1.3), posY-(heightSettings)+0.0035, sizeTemp, tostring("U"));
		moSetGetGui["slotNextL"]:setPosition(posX+(widthSettings*2), posY-(heightSettings));
		moSetGetGui["slotNextL"]:render();		
		if moGuiMiniPdaSlots.fieldsInfo.updateSwitch == 0 then posTxt = "U All";
		elseif moGuiMiniPdaSlots.fieldsInfo.updateSwitch == 1 then posTxt = "U onlySwitch";
		elseif moGuiMiniPdaSlots.fieldsInfo.updateSwitch == 2 then posTxt = "U buyFields";
		elseif moGuiMiniPdaSlots.fieldsInfo.updateSwitch == 3 then posTxt = "U saleFields";
		elseif moGuiMiniPdaSlots.fieldsInfo.updateSwitch == 4 then posTxt = "U onlyField";end;
		renderText(posX+(widthSettings*3.2), posY-(heightSettings)+0.0035, sizeTemp, tostring(posTxt));
		--nextLine(true, heightSettings*2, false);
		nextLine(true, 0.005, false);
		
		--renderText(posX+(widthSettings*1.1), posY-(heightSettings*2), sizeTemp, tostring(moLanguageXml:getTxt("fieldstotal")).. ": ");
		--setTextAlignment(3);
		--setTextColor(unpack(moGuiMiniPdaSlots.siloColor));
		--renderText(posX+width-distanceDif, posY-(heightSettings*2), sizeTemp, tostring(moFields.fieldsMax));		
		--nextLine(true, 0.007, true, 0.0035, width+widthNext, 0.001);
		--moSetGetGui:setOverlay(self, moSetGetGui["designLine"], posX-0.001, posY-(heightSettings*2)-0.004, width+widthNext, 0.001);
		--moSetGetGui["designLine"]:render();
		local posYunderSettings = posY-(heightSettings*2);
		----FieldsIcons
		if moGuiMiniPdaSlots.fieldsInfo.isUnderSettings then
			posYunderSettings = posY-(heightSettings*2)-(heightUnderSettings*2);
			moSetGetGui["slotSeeds"]:setPosition(posX, posY-(heightSettings)-(heightUnderSettings));
			moSetGetGui["slotSeeds"]:render();
			if not moGuiMiniPdaSlots.fieldsInfo.seeSeeds then
				moSetGetGui["slotNotOkay"]:setPosition(posX, posY-(heightSettings)-(heightUnderSettings));
				moSetGetGui["slotNotOkay"]:render();
			end;
			moSetGetGui["slotHarvest"]:setPosition(posX+(widthUnderSettings*1), posY-(heightSettings)-(heightUnderSettings));
			moSetGetGui["slotHarvest"]:render();
			if not moGuiMiniPdaSlots.fieldsInfo.seeHarvest then
				moSetGetGui["slotNotOkay"]:setPosition(posX+(widthUnderSettings*1), posY-(heightSettings)-(heightUnderSettings));
				moSetGetGui["slotNotOkay"]:render();
			end;
			moSetGetGui["slotGrowth"]:setPosition(posX+(widthUnderSettings*2), posY-(heightSettings)-(heightUnderSettings));
			moSetGetGui["slotGrowth"]:render();
			if not moGuiMiniPdaSlots.fieldsInfo.seeGrowth then
				moSetGetGui["slotNotOkay"]:setPosition(posX+(widthUnderSettings*2), posY-(heightSettings)-(heightUnderSettings));
				moSetGetGui["slotNotOkay"]:render();
			end;
			moSetGetGui["slotFertilizer"]:setPosition(posX+(widthUnderSettings*3), posY-(heightSettings)-(heightUnderSettings));
			moSetGetGui["slotFertilizer"]:render();
			if not moGuiMiniPdaSlots.fieldsInfo.seeFertilizer then
				moSetGetGui["slotNotOkay"]:setPosition(posX+(widthUnderSettings*3), posY-(heightSettings)-(heightUnderSettings));
				moSetGetGui["slotNotOkay"]:render();
			end;
			moSetGetGui["slotCut"]:setPosition(posX+(widthUnderSettings*4), posY-(heightSettings)-(heightUnderSettings));
			moSetGetGui["slotCut"]:render();
			if not moGuiMiniPdaSlots.fieldsInfo.seeCut then
				moSetGetGui["slotNotOkay"]:setPosition(posX+(widthUnderSettings*4), posY-(heightSettings)-(heightUnderSettings));
				moSetGetGui["slotNotOkay"]:render();
			end;
			moSetGetGui["slotRotten"]:setPosition(posX+(widthUnderSettings*5), posY-(heightSettings)-(heightUnderSettings));
			moSetGetGui["slotRotten"]:render();	
			if not moGuiMiniPdaSlots.fieldsInfo.seeRotten then
				moSetGetGui["slotNotOkay"]:setPosition(posX+(widthUnderSettings*5), posY-(heightSettings)-(heightUnderSettings));
				moSetGetGui["slotNotOkay"]:render();
			end;
			moSetGetGui["slotPlough"]:setPosition(posX+(widthUnderSettings*6), posY-(heightSettings)-(heightUnderSettings));
			moSetGetGui["slotPlough"]:render();
			if not moGuiMiniPdaSlots.fieldsInfo.seePlough then
				moSetGetGui["slotNotOkay"]:setPosition(posX+(widthUnderSettings*6), posY-(heightSettings)-(heightUnderSettings));
				moSetGetGui["slotNotOkay"]:render();
			end;
			moSetGetGui["slotWindrow"]:setPosition(posX+(widthUnderSettings*7), posY-(heightSettings)-(heightUnderSettings));
			moSetGetGui["slotWindrow"]:render();
			if not moGuiMiniPdaSlots.fieldsInfo.seeWindrow then
				moSetGetGui["slotNotOkay"]:setPosition(posX+(widthUnderSettings*7), posY-(heightSettings)-(heightUnderSettings));
				moSetGetGui["slotNotOkay"]:render();
			end;
			
			moSetGetGui["slotBale"]:setPosition(posX, posY-(heightSettings)-(heightUnderSettings*2));
			moSetGetGui["slotBale"]:render();
			moSetGetGui["slotNotReady"]:setPosition(posX, posY-(heightSettings)-(heightUnderSettings*2));
			moSetGetGui["slotNotReady"]:render();
			--if not moGuiMiniPdaSlots.fieldsInfo.seeBale then
			--	moSetGetGui["slotNotOkay"]:setPosition(posX, posY-(heightSettings)-(heightUnderSettings*2));
			--	moSetGetGui["slotNotOkay"]:render();
			--end;
			moSetGetGui["slotSoil"]:setPosition(posX+(widthUnderSettings*1), posY-(heightSettings)-(heightUnderSettings*2));
			moSetGetGui["slotSoil"]:render();
			moSetGetGui["slotNotReady"]:setPosition(posX+(widthUnderSettings*1), posY-(heightSettings)-(heightUnderSettings*2));
			moSetGetGui["slotNotReady"]:render();
			--if not moGuiMiniPdaSlots.fieldsInfo.seeSoil then
			--	moSetGetGui["slotNotOkay"]:setPosition(posX+(widthUnderSettings*1), posY-(heightSettings)-(heightUnderSettings*2));
			--	moSetGetGui["slotNotOkay"]:render();
			--end;
			moSetGetGui["slotGrass"]:setPosition(posX+(widthUnderSettings*2), posY-(heightSettings)-(heightUnderSettings*2));
			moSetGetGui["slotGrass"]:render();
			if not moGuiMiniPdaSlots.fieldsInfo.seeGrass then
				moSetGetGui["slotNotOkay"]:setPosition(posX+(widthUnderSettings*2), posY-(heightSettings)-(heightUnderSettings*2));
				moSetGetGui["slotNotOkay"]:render();
			end;
			moSetGetGui["slotField"]:setPosition(posX+(widthUnderSettings*3), posY-(heightSettings)-(heightUnderSettings*2));
			moSetGetGui["slotField"]:render();			
			if not moGuiMiniPdaSlots.fieldsInfo.seeError then
				moSetGetGui["slotNotOkay"]:setPosition(posX+(widthUnderSettings*3), posY-(heightSettings)-(heightUnderSettings*2));
				moSetGetGui["slotNotOkay"]:render();
			else
				renderText(posX+(widthUnderSettings*3.1), posY-(heightSettings)-(heightUnderSettings*2)+0.0035, size, tostring("ER"));
			end;			
			nextLine(true, 0.020-(size/50), false);
			renderText(posX+(widthSettings*1.1), currentPosY, size, tostring(moLanguageXml:getTxt("fieldstotal")).. ": ");
			setTextAlignment(3);			
			renderText(posX+width-distanceDif, currentPosY, size, tostring(moFields.fieldsMax));		
			setTextAlignment(0);	
			nextLine(false, 0.007, true, 0.0035, width+widthNext, 0.001);
		else
			renderText(posX+(widthSettings*1.1), currentPosY, size, tostring(moLanguageXml:getTxt("fieldstotal")).. ": ");
			setTextAlignment(3);			
			renderText(posX+width-distanceDif, currentPosY, size, tostring(moFields.fieldsMax));		
			setTextAlignment(0);	
			nextLine(true, 0.007, true, 0.0035, width+widthNext, 0.001);
		end;
		moSetGetGui["slotUnderSettings"]:setPosition(posX, posYunderSettings);
		moSetGetGui["slotUnderSettings"]:render();
		if not moGuiMiniPdaSlots.fieldsInfo.isUnderSettings then
			moSetGetGui["slotNotOkay"]:setPosition(posX, posYunderSettings);
			moSetGetGui["slotNotOkay"]:render();
		end;
		----FieldsIcons
	else
		moSetGetGui["slotNotReady"]:setPosition(posX, posY-(heightSettings));
		moSetGetGui["slotNotReady"]:render();
		nextLine(true, 0.005, false);
		renderText(posX, posY+0.0035, sizeTemp, "Slotname:  ".. tostring(moGuiMiniPdaSlots.values[slot].name));
		renderText(posX+(widthSettings*1.1), currentPosY, sizeTemp, tostring(moLanguageXml:getTxt("fieldstotal")).. ": ");
		setTextAlignment(3);		
		renderText(posX+width-distanceDif, currentPosY, sizeTemp, tostring(moFields.fieldsMax));
		nextLine(true, 0.007, true, 0.0035, width+widthNext, 0.001);
		setTextAlignment(0);
	end;	
	----	
	
	----
	renderText(posX, currentPosY, size, tostring("test"));
	nextLine(true, 0.007, true, 0.0035, width+widthNext, 0.001);
	----
	local openLastHeight = heightSettings/2;
	if moGuiMiniPdaSlots.fieldsInfo.isUnderSettings and moGuiMiniPdaSlots.keySwitchLast == slot then
		moSetGetGui:setOverlay(self, moSetGetGui["designGround".. slot], posX-0.001, currentPosY+(heightSettings/2), width+widthNext, height+(heightSettings/2)+heightUnderSettings);
		openLastHeight = heightSettings/2+heightUnderSettings;
	else
		moSetGetGui:setOverlay(self, moSetGetGui["designGround".. slot], posX-0.001, currentPosY+(heightSettings/2), width+widthNext, height+(heightSettings/2));
	end;	
	moGuiMiniPdaSlots.values[slot].openLastWidth = width+widthNext;
	moGuiMiniPdaSlots.values[slot].openLastHeight = height+openLastHeight;
	setTextColor(1, 1, 1, 1);
	setTextAlignment(0);
	setTextBold(false);	
end;

function moDraw.fieldsinfo:setOpenDisplaySwitch_0_Design(self, slot, slotName)
	moGuiExtras:setSlotMaxProSwitch(self, slot);
	moGuiExtras:setSlotFirstEndObjects(self, slot);
	local firstObjectDisplay, endObjectDisplay = moGuiMiniPdaSlots.values[slot].firstObject, moGuiMiniPdaSlots.values[slot].endObject;
	local tempObjectDisplay = 0;
	----
	moGuiMiniPdaSlots.fieldsInfo.clickArea.extraDrawFields = {};
	local textSwitch = moGuiMiniPdaSlots.fieldsInfo.textSwitch;	
	local posX = moGuiMiniPdaSlots.values[slot].openX+0.001;
	local posY = moGuiMiniPdaSlots.values[slot].openY;
	local size = moGuiMiniPdaSlots.values[slot].size;
	local distanceLine = moGuiMiniPdaSlots.values[slot].distanceLine;
	local widthSettings = moSetGetGui.buttonGfxWidth1*moSetGetGui.zoomOutInTemp*4;
	local widthUnderSettings = moSetGetGui.buttonGfxWidth1*moSetGetGui.zoomOutInTemp*4.5;
	local heightUnderSettings = moSetGetGui.buttonGfxHeight1*moSetGetGui.zoomOutInTemp*5;
	local heightSettings = moSetGetGui.buttonGfxHeight1*moSetGetGui.zoomOutInTemp*4;	
	local height = moSetGetGui.buttonGfxHeight1*(size*1000);
	local heightDefault = moSetGetGui.buttonGfxHeight1*(size*1000);
	local distanceDif = moGuiMiniPdaSlots.values[slot].distanceDif; --fillcontainer <----> filllevel
	local slotLength = moSetGetGui.buttonGfxWidth1*(size*1000/1.5)*(moGuiMiniPdaSlots.values[slot].length+moSetGetGui.screenAspectRatio);	
	local width = slotLength+distanceDif;	
	local widthNext = 0;
	local currentPosY = posY;
	local zoomOutIn = moGuiMiniPdaSlots.fieldsInfo.zoomOutInIcons;
	function nextLine(setHeight, posYnew, setLine, posYline, widthLine, heightLine, onlyLine)
		if setLine then
			moSetGetGui:setOverlay(self, moSetGetGui["designLine"], posX-0.001, currentPosY-(posYline), widthLine, heightLine);
			moSetGetGui["designLine"]:render();
			if onlyLine then return;end;
		end;		
		if setHeight then height = height+(heightDefault)+posYnew;end; --height+size+posNew;
		currentPosY = currentPosY-(heightDefault)-posYnew; --posY-(size+posYnew);		
	end;	
	moSetGetGui["designGround".. slot]:render();
	setTextBold(true);	
	setTextColor(unpack(moGuiMiniPdaSlots.siloColor));
	local sizeTemp = 0.010;
	if size < sizeTemp then sizeTemp = size;end;
	if moGuiMiniPdaSlots.keySwitchLast == slot then
		if not moGuiMiniPdaSlots.values[slot].settings then
			moSetGetGui["slotCfg"]:setPosition(posX, posY);
			moSetGetGui["slotCfg"]:render();
		else
			moSetGetGui["slotPos"]:setPosition(posX, posY);
			moSetGetGui["slotPos"]:render();
		end;		
		moSetGetGui["slotDisplay"]:setPosition(posX+(widthSettings*1), posY);
		moSetGetGui["slotDisplay"]:render();		
		renderText(posX+(widthSettings*1.3), posY+0.0035, sizeTemp, tostring(textSwitch));
		moSetGetGui["slotIconDesign"]:setPosition(posX+(widthSettings*2), posY);
		moSetGetGui["slotIconDesign"]:render();		
		if not moGuiMiniPdaSlots.fieldsInfo.iconDesign then
			moSetGetGui["slotNotOkay"]:setPosition(posX+(widthSettings*2), posY);
			moSetGetGui["slotNotOkay"]:render();
		end;
		moSetGetGui["slotPlus"]:setPosition(posX+(widthSettings*3), posY);
		moSetGetGui["slotPlus"]:render();		
		if moGuiMiniPdaSlots.values[slot].seeSmall then
			moSetGetGui["slotNotOkay"]:setPosition(posX+(widthSettings*3), posY);
			moSetGetGui["slotNotOkay"]:render();
		end;
		moSetGetGui["slotSwitchL"]:setPosition(posX+(widthSettings*4), posY);
		moSetGetGui["slotSwitchL"]:render();
		renderText(posX+(widthSettings*4.7), posY+0.0035, sizeTemp, tostring(moGuiMiniPdaSlots.values[slot].switch));
		moSetGetGui["slotSwitchR"]:setPosition(posX+(widthSettings*5), posY);
		moSetGetGui["slotSwitchR"]:render();
		moSetGetGui["slotNextL"]:setPosition(posX+(widthSettings*6), posY);
		moSetGetGui["slotNextL"]:render();
		moSetGetGui["slotNextR"]:setPosition(posX+(widthSettings*8), posY);
		moSetGetGui["slotNextR"]:render();
		renderText(posX+(widthSettings*7.05), posY+0.0035, sizeTemp, tostring(moGuiMiniPdaSlots.values[slot].maxProSwitch));
		nextLine(true, 0.005, false);
		local posTxt = "";
		moSetGetGui["slotField"]:setPosition(posX, posY-(heightSettings));
		moSetGetGui["slotField"]:render();
		if moGuiMiniPdaSlots.fieldsInfo.seeFields == 0 then posTxt = "A";
		elseif moGuiMiniPdaSlots.fieldsInfo.seeFields == 1 then posTxt = "B";
		else posTxt = "S";end;
		renderText(posX+0.002, posY-(heightSettings)+0.0035, sizeTemp, tostring(posTxt));		
		moSetGetGui["slotUpdate"]:setPosition(posX+(widthSettings*1), posY-(heightSettings));
		moSetGetGui["slotUpdate"]:render();
		if moGuiMiniPdaSlots.fieldsInfo.isUpdate then
			moSetGetGui["slotNotReady"]:setPosition(posX+(widthSettings*1), posY-(heightSettings));
			moSetGetGui["slotNotReady"]:render();
		end;
		--renderText(posX+(widthSettings*1.3), posY-(heightSettings)+0.0035, sizeTemp, tostring("U"));
		moSetGetGui["slotNextL"]:setPosition(posX+(widthSettings*2), posY-(heightSettings));
		moSetGetGui["slotNextL"]:render();
		local posTxt = "";
		if not moGuiMiniPdaSlots.fieldsInfo.isUpdate then
			if moGuiMiniPdaSlots.fieldsInfo.updateSwitch == 0 then posTxt = "All";
			elseif moGuiMiniPdaSlots.fieldsInfo.updateSwitch == 1 then posTxt = "ownFields";
			elseif moGuiMiniPdaSlots.fieldsInfo.updateSwitch == 2 then posTxt = "buyFields";							
			elseif moGuiMiniPdaSlots.fieldsInfo.updateSwitch == 3 then 
				posTxt = "onlyField";
				moSetGetGui["slotNotReady"]:setPosition(posX+(widthSettings*1), posY-(heightSettings));
				moSetGetGui["slotNotReady"]:render();
			end;
		else
			moSetGetGui["slotNotReady"]:setPosition(posX+(widthSettings*1), posY-(heightSettings));
			moSetGetGui["slotNotReady"]:render();
			posTxt = "Scan Field ".. tostring(moGuiMiniPdaSlots.fieldsInfo.fieldUpdateNum);
		end;
		renderText(posX+(widthSettings*3.2), posY-(heightSettings)+0.0035, sizeTemp, tostring(posTxt));		
		nextLine(true, 0.005, false);		
		local posYunderSettings = posY-(heightSettings*2);
		----FieldsIcons
		if moGuiMiniPdaSlots.fieldsInfo.isUnderSettings then
			posYunderSettings = posY-(heightSettings*2)-(heightUnderSettings*2);
			moSetGetGui["slotSeeds"]:setPosition(posX, posY-(heightSettings)-(heightUnderSettings));
			moSetGetGui["slotSeeds"]:render();
			if not moGuiMiniPdaSlots.fieldsInfo.seeSeeds then
				moSetGetGui["slotNotOkay"]:setPosition(posX, posY-(heightSettings)-(heightUnderSettings));
				moSetGetGui["slotNotOkay"]:render();
			end;
			moSetGetGui["slotHarvest"]:setPosition(posX+(widthUnderSettings*1), posY-(heightSettings)-(heightUnderSettings));
			moSetGetGui["slotHarvest"]:render();
			if not moGuiMiniPdaSlots.fieldsInfo.seeHarvest then
				moSetGetGui["slotNotOkay"]:setPosition(posX+(widthUnderSettings*1), posY-(heightSettings)-(heightUnderSettings));
				moSetGetGui["slotNotOkay"]:render();
			end;
			moSetGetGui["slotGrowth"]:setPosition(posX+(widthUnderSettings*2), posY-(heightSettings)-(heightUnderSettings));
			moSetGetGui["slotGrowth"]:render();
			if not moGuiMiniPdaSlots.fieldsInfo.seeGrowth then
				moSetGetGui["slotNotOkay"]:setPosition(posX+(widthUnderSettings*2), posY-(heightSettings)-(heightUnderSettings));
				moSetGetGui["slotNotOkay"]:render();
			end;
			moSetGetGui["slotFertilizer"]:setPosition(posX+(widthUnderSettings*3), posY-(heightSettings)-(heightUnderSettings));
			moSetGetGui["slotFertilizer"]:render();
			if not moGuiMiniPdaSlots.fieldsInfo.seeFertilizer then
				moSetGetGui["slotNotOkay"]:setPosition(posX+(widthUnderSettings*3), posY-(heightSettings)-(heightUnderSettings));
				moSetGetGui["slotNotOkay"]:render();
			end;
			moSetGetGui["slotCut"]:setPosition(posX+(widthUnderSettings*4), posY-(heightSettings)-(heightUnderSettings));
			moSetGetGui["slotCut"]:render();
			if not moGuiMiniPdaSlots.fieldsInfo.seeCut then
				moSetGetGui["slotNotOkay"]:setPosition(posX+(widthUnderSettings*4), posY-(heightSettings)-(heightUnderSettings));
				moSetGetGui["slotNotOkay"]:render();
			end;
			moSetGetGui["slotRotten"]:setPosition(posX+(widthUnderSettings*5), posY-(heightSettings)-(heightUnderSettings));
			moSetGetGui["slotRotten"]:render();	
			if not moGuiMiniPdaSlots.fieldsInfo.seeRotten then
				moSetGetGui["slotNotOkay"]:setPosition(posX+(widthUnderSettings*5), posY-(heightSettings)-(heightUnderSettings));
				moSetGetGui["slotNotOkay"]:render();
			end;
			moSetGetGui["slotPlough"]:setPosition(posX+(widthUnderSettings*6), posY-(heightSettings)-(heightUnderSettings));
			moSetGetGui["slotPlough"]:render();
			if not moGuiMiniPdaSlots.fieldsInfo.seePlough then
				moSetGetGui["slotNotOkay"]:setPosition(posX+(widthUnderSettings*6), posY-(heightSettings)-(heightUnderSettings));
				moSetGetGui["slotNotOkay"]:render();
			end;
			moSetGetGui["slotWindrow"]:setPosition(posX+(widthUnderSettings*7), posY-(heightSettings)-(heightUnderSettings));
			moSetGetGui["slotWindrow"]:render();
			if not moGuiMiniPdaSlots.fieldsInfo.seeWindrow then
				moSetGetGui["slotNotOkay"]:setPosition(posX+(widthUnderSettings*7), posY-(heightSettings)-(heightUnderSettings));
				moSetGetGui["slotNotOkay"]:render();
			end;
			
			moSetGetGui["slotBale"]:setPosition(posX, posY-(heightSettings)-(heightUnderSettings*2));
			moSetGetGui["slotBale"]:render();
			moSetGetGui["slotNotReady"]:setPosition(posX, posY-(heightSettings)-(heightUnderSettings*2));
			moSetGetGui["slotNotReady"]:render();
			--if not moGuiMiniPdaSlots.fieldsInfo.seeBale then
			--	moSetGetGui["slotNotOkay"]:setPosition(posX, posY-(heightSettings)-(heightUnderSettings*2));
			--	moSetGetGui["slotNotOkay"]:render();
			--end;
			moSetGetGui["slotSoil"]:setPosition(posX+(widthUnderSettings*1), posY-(heightSettings)-(heightUnderSettings*2));
			moSetGetGui["slotSoil"]:render();
			moSetGetGui["slotNotReady"]:setPosition(posX+(widthUnderSettings*1), posY-(heightSettings)-(heightUnderSettings*2));
			moSetGetGui["slotNotReady"]:render();
			--if not moGuiMiniPdaSlots.fieldsInfo.seeSoil then
			--	moSetGetGui["slotNotOkay"]:setPosition(posX+(widthUnderSettings*1), posY-(heightSettings)-(heightUnderSettings*2));
			--	moSetGetGui["slotNotOkay"]:render();
			--end;
			moSetGetGui["slotGrass"]:setPosition(posX+(widthUnderSettings*2), posY-(heightSettings)-(heightUnderSettings*2));
			moSetGetGui["slotGrass"]:render();
			if not moGuiMiniPdaSlots.fieldsInfo.seeGrass then
				moSetGetGui["slotNotOkay"]:setPosition(posX+(widthUnderSettings*2), posY-(heightSettings)-(heightUnderSettings*2));
				moSetGetGui["slotNotOkay"]:render();
			end;
			moSetGetGui["slotField"]:setPosition(posX+(widthUnderSettings*3), posY-(heightSettings)-(heightUnderSettings*2));
			moSetGetGui["slotField"]:render();			
			if not moGuiMiniPdaSlots.fieldsInfo.seeError then
				moSetGetGui["slotNotOkay"]:setPosition(posX+(widthUnderSettings*3), posY-(heightSettings)-(heightUnderSettings*2));
				moSetGetGui["slotNotOkay"]:render();
			else
				renderText(posX+(widthUnderSettings*3.1), posY-(heightSettings)-(heightUnderSettings*2)+0.0035, size, tostring("ER"));
			end;
			moSetGetGui["slotField"]:setPosition(posX+(widthUnderSettings*4), posY-(heightSettings)-(heightUnderSettings*2));
			moSetGetGui["slotField"]:render();			
			if not moGuiMiniPdaSlots.fieldsInfo.seeFillLevel then
				moSetGetGui["slotNotOkay"]:setPosition(posX+(widthUnderSettings*4), posY-(heightSettings)-(heightUnderSettings*2));
				moSetGetGui["slotNotOkay"]:render();
			else
				renderText(posX+(widthUnderSettings*4.1), posY-(heightSettings)-(heightUnderSettings*2)+0.0035, size, tostring("FL"));
			end;
			nextLine(true, 0.020-(size/50), false);
			renderText(posX+(widthSettings*1.1), currentPosY, size, tostring(moLanguageXml:getTxt("fieldstotal")).. ": ");
			setTextAlignment(3);			
			renderText(posX+width-distanceDif, currentPosY, size, tostring(moFields.fieldsMax));		
			setTextAlignment(0);	
			nextLine(false, 0.007, true, 0.0035, width+widthNext, 0.001);
		else
			renderText(posX+(widthSettings*1.1), currentPosY, size, tostring(moLanguageXml:getTxt("fieldstotal")).. ": ");
			setTextAlignment(3);			
			renderText(posX+width-distanceDif, currentPosY, size, tostring(moFields.fieldsMax));		
			setTextAlignment(0);	
			nextLine(true, 0.007, true, 0.0035, width+widthNext, 0.001);
		end;
		moSetGetGui["slotUnderSettings"]:setPosition(posX, posYunderSettings);
		moSetGetGui["slotUnderSettings"]:render();
		if not moGuiMiniPdaSlots.fieldsInfo.isUnderSettings then
			moSetGetGui["slotNotOkay"]:setPosition(posX, posYunderSettings);
			moSetGetGui["slotNotOkay"]:render();
		end;
		----FieldsIcons
	else
		moSetGetGui["slotNotReady"]:setPosition(posX, posY-(heightSettings));
		moSetGetGui["slotNotReady"]:render();
		nextLine(true, 0.005, false);
		renderText(posX, posY+0.0035, sizeTemp, "Slotname:  ".. tostring(moGuiMiniPdaSlots.values[slot].name));
		renderText(posX+(widthSettings*1.1), currentPosY, sizeTemp, tostring(moLanguageXml:getTxt("fieldstotal")).. ": ");
		setTextAlignment(3);		
		renderText(posX+width-distanceDif, currentPosY, sizeTemp, tostring(moFields.fieldsMax));
		nextLine(true, 0.007, true, 0.0035, width+widthNext, 0.001);
		setTextAlignment(0);
	end;	
	----
	--nextLine(true, distanceLine/2, false);
	local distance = slotLength/5;	
	local fieldCount = 1;
	local maxFieldLine = 5;
	local firstUpdate = moGuiMiniPdaSlots.fieldsInfo.firstUpdate;
	function setScanFields(fieldNum)
		if not string.find(moGuiMiniPdaSlots.fieldsInfo.scanFields, tostring(fieldNum).. ",") then moGuiMiniPdaSlots.fieldsInfo.scanFields = moGuiMiniPdaSlots.fieldsInfo.scanFields.. tostring(fieldNum).. ",";end;		
	end;
	if firstObjectDisplay <= moFields.fieldsMax then
		for a=firstObjectDisplay, moFields.fieldsMax do	
			if moFields[a] ~= nil and moFields[a].fieldNumber ~= nil then
				tempObjectDisplay = tempObjectDisplay+1;
				if tonumber(a) > tonumber(endObjectDisplay) then break;end;
				local isBuy = moFields[a].isBuy;
				--if moGuiMiniPdaSlots.fieldsInfo.updateSwitch == 0 then setScanFields(a);
				--elseif moGuiMiniPdaSlots.fieldsInfo.updateSwitch == 1 and isBuy then setScanFields(a);
				--elseif moGuiMiniPdaSlots.fieldsInfo.updateSwitch == 2 and not isBuy then setScanFields(a);end;
				setTextBold(true);
				if not isBuy then setTextBold(false);end;
				if moGuiMiniPdaSlots.fieldsInfo.extraDrawField ~= a then
					if not moFields[a].isUpdate then 
						setTextColor(unpack(moGuiMiniPdaSlots.activeColor));
						if not isBuy then setTextColor(unpack(moGuiMiniPdaSlots.inactiveColor));end;
					else
						local ignoreMax = moGuiMiniPdaSlots.fieldsInfo.ignoreMax;						
						if tonumber(moFields[a].harvestAreas) > 10 and tonumber(moFields[a].harvestAreas) > ignoreMax then setTextColor(unpack(moGuiMiniPdaSlots.warningColor2));
						elseif tonumber(moFields[a].growthAreas) > 10 and tonumber(moFields[a].growthAreas) > ignoreMax then setTextColor(unpack(moGuiMiniPdaSlots.warningColor0));
						elseif tonumber(moFields[a].rottenAreas) > 7 and tonumber(moFields[a].rottenAreas) > ignoreMax then setTextColor(unpack(moGuiMiniPdaSlots.warningColor3));
						else setTextColor(unpack(moGuiMiniPdaSlots.warningColor4));end;
					end;
				else
					setTextColor(unpack(moGuiMiniPdaSlots.demandColor));
				end;
				local setField = false;
				if moGuiMiniPdaSlots.fieldsInfo.seeFields == 0 then setField = true;
				elseif moGuiMiniPdaSlots.fieldsInfo.seeFields == 1 and isBuy then setField = true;
				elseif moGuiMiniPdaSlots.fieldsInfo.seeFields == 2 and not isBuy then setField = true;end;
				
					--tempObjectDisplay = tempObjectDisplay+1;								
					--if tonumber(a) > tonumber(endObjectDisplay) then break;end;
				if setField then
					--local lengthFieldNumber = moSetGetGui.buttonGfxWidth1*(size*1000/1.5)*(moFields[a].fieldNumber+moSetGetGui.screenAspectRatio);
					----setTextAlignment(RenderText.CENTER);
					renderText(posX+(distance*(fieldCount-1)), currentPosY, size, tostring(moFields[a].fieldNumber));
					moDraw.fieldsinfo:setClickAreaExtraDrawFields(self, posX+(distance*(fieldCount-1)), currentPosY, distance, heightDefault, moFields[a].fieldNumber)
					setScanFields(moFields[a].fieldNumber);
					fieldCount = fieldCount+1;
					if fieldCount > 5 then fieldCount = 1;nextLine(true, distanceLine/2, false);end;
				end;				
			end;
		end;
		nextLine(true, 0.007, true, 0.0035, width+widthNext, 0.001);
	end;
	----	
	----
	local openLastHeight = heightSettings/2;
	if moGuiMiniPdaSlots.fieldsInfo.isUnderSettings and moGuiMiniPdaSlots.keySwitchLast == slot then
		moSetGetGui:setOverlay(self, moSetGetGui["designGround".. slot], posX-0.001, currentPosY+(heightSettings/2), width+widthNext, height+(heightSettings/2)+heightUnderSettings);
		openLastHeight = heightSettings/2+heightUnderSettings;
	else
		moSetGetGui:setOverlay(self, moSetGetGui["designGround".. slot], posX-0.001, currentPosY+(heightSettings/2), width+widthNext, height+(heightSettings/2));
	end;	
	moGuiMiniPdaSlots.values[slot].openLastWidth = width+widthNext;
	moGuiMiniPdaSlots.values[slot].openLastHeight = height+openLastHeight;
	setTextColor(1, 1, 1, 1);
	setTextAlignment(0);
	setTextBold(false);	
end;

function moDraw.fieldsinfo:setClickAreaExtraDrawFields(self, posX, posY, horizontal, vertical, fieldNum)	
	if fieldNum == nil then return;end;
	local a = Utils.getNoNil(table.getn(moGuiMiniPdaSlots.fieldsInfo.clickArea.extraDrawFields), 0);	
	moGuiMiniPdaSlots.fieldsInfo.clickArea.extraDrawFields[a+1] = {posX, posX+(horizontal), posY, posY+(vertical), fieldNum };
end;

function moDraw.fieldsinfo:setClickAreaSeeSmall(self, posX, posY, horizontal, vertical, fruitTypesString, fieldNumString, slot)	
	local a = Utils.getNoNil(table.getn(moGuiMiniPdaSlots.values[slot].clickArea.slotSeeSmall), 0);	
	moGuiMiniPdaSlots.values[slot].clickArea.slotSeeSmall[a+1] = {posX, posX+(horizontal), posY, posY+(vertical), fruitTypesString, fieldNumString };
end;